path: /build/build/libXaw-x11-libs-1.0.13.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc -ppc-aix -x86-winnt" emerge x11-libs/libXaw -pv -t && \
    USE="-doc -ppc-aix -x86-winnt" emerge -j ${JOBS} --nodeps x11-libs/libXaw
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/libXaw && luet-portage --dir /pkgdir/libXaw
    x11-libs/libXaw && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:5134542d0349fb8575d3d773b1fac7f7cc467360a61d9e207af74541b368545f
  package:
    name: libXaw
    version: 1.0.13
    category: x11-libs
    use_flags:
    - -doc
    - -ppc-aix
    - -x86-winnt
    requires:
    - name: macaroni-funtoo-race5
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: X.Org Xaw library
    uri:
    - https://www.x.org/wiki/ https://gitlab.freedesktop.org/xorg/lib/libXaw
    license: MIT
    buildtimestamp: 2023-08-19 10:08:26.817345799 +0000 UTC m=+75.991969267
    labels:
      DEPEND: x11-base/xorg-proto >=x11-libs/libX11-1.6.2[-mgorny(-)] >=x11-libs/libXext-1.3.2[-mgorny(-)]
        >=x11-libs/libXmu-1.1.1-r1[-mgorny(-)] >=x11-libs/libXpm-3.5.10-r1[-mgorny(-)]
        >=x11-libs/libXt-1.1.4[-mgorny(-)] >=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3
        || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
        >=sys-devel/libtool-2.4 ppc-aix? ( >=sys-devel/libtool-2.2.6a sys-devel/m4
        >=x11-misc/util-macros-1.18 >=media-fonts/font-util-1.2.0 ) x86-winnt? ( >=sys-devel/libtool-2.2.6a
        sys-devel/m4 >=x11-misc/util-macros-1.18 >=media-fonts/font-util-1.2.0 ) virtual/pkgconfig[-mgorny(-)]
        doc? ( doc? ( || ( app-text/asciidoc dev-ruby/asciidoctor ) app-text/xmlto
        app-doc/doxygen app-text/docbook-xml-dtd:4.1.2 app-text/docbook-xml-dtd:4.2
        app-text/docbook-xml-dtd:4.3 ) )
      IUSE: deprecated abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64
        abi_mips_o32 abi_s390_32 abi_s390_64 static-libs doc
      RDEPEND: x11-base/xorg-proto >=x11-libs/libX11-1.6.2[-mgorny(-)] >=x11-libs/libXext-1.3.2[-mgorny(-)]
        >=x11-libs/libXmu-1.1.1-r1[-mgorny(-)] >=x11-libs/libXpm-3.5.10-r1[-mgorny(-)]
        >=x11-libs/libXt-1.1.4[-mgorny(-)]
      emerge.packages: x11-libs/libXaw
      kit: core-gl-kit
      original.package.name: x11-libs/libXaw
      original.package.slot: "0"
      original.package.version: 1.0.13-r1
    treedir: /build/packages
  package_dir: /pkgdir/libXaw
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: de5b4801bfee05b3657f0df69bb043059a381121bb36cd2865d809d8152aeedc
compressiontype: zstd
files:
- usr/include/X11/Xaw/AllWidgets.h
- usr/include/X11/Xaw/AsciiSink.h
- usr/include/X11/Xaw/AsciiSinkP.h
- usr/include/X11/Xaw/AsciiSrc.h
- usr/include/X11/Xaw/AsciiSrcP.h
- usr/include/X11/Xaw/AsciiText.h
- usr/include/X11/Xaw/AsciiTextP.h
- usr/include/X11/Xaw/Box.h
- usr/include/X11/Xaw/BoxP.h
- usr/include/X11/Xaw/Cardinals.h
- usr/include/X11/Xaw/Command.h
- usr/include/X11/Xaw/CommandP.h
- usr/include/X11/Xaw/Dialog.h
- usr/include/X11/Xaw/DialogP.h
- usr/include/X11/Xaw/Form.h
- usr/include/X11/Xaw/FormP.h
- usr/include/X11/Xaw/Grip.h
- usr/include/X11/Xaw/GripP.h
- usr/include/X11/Xaw/Label.h
- usr/include/X11/Xaw/LabelP.h
- usr/include/X11/Xaw/List.h
- usr/include/X11/Xaw/ListP.h
- usr/include/X11/Xaw/MenuButtoP.h
- usr/include/X11/Xaw/MenuButton.h
- usr/include/X11/Xaw/MultiSink.h
- usr/include/X11/Xaw/MultiSinkP.h
- usr/include/X11/Xaw/MultiSrc.h
- usr/include/X11/Xaw/MultiSrcP.h
- usr/include/X11/Xaw/Paned.h
- usr/include/X11/Xaw/PanedP.h
- usr/include/X11/Xaw/Panner.h
- usr/include/X11/Xaw/PannerP.h
- usr/include/X11/Xaw/Porthole.h
- usr/include/X11/Xaw/PortholeP.h
- usr/include/X11/Xaw/Repeater.h
- usr/include/X11/Xaw/RepeaterP.h
- usr/include/X11/Xaw/Reports.h
- usr/include/X11/Xaw/Scrollbar.h
- usr/include/X11/Xaw/ScrollbarP.h
- usr/include/X11/Xaw/Simple.h
- usr/include/X11/Xaw/SimpleMenP.h
- usr/include/X11/Xaw/SimpleMenu.h
- usr/include/X11/Xaw/SimpleP.h
- usr/include/X11/Xaw/Sme.h
- usr/include/X11/Xaw/SmeBSB.h
- usr/include/X11/Xaw/SmeBSBP.h
- usr/include/X11/Xaw/SmeLine.h
- usr/include/X11/Xaw/SmeLineP.h
- usr/include/X11/Xaw/SmeP.h
- usr/include/X11/Xaw/StripCharP.h
- usr/include/X11/Xaw/StripChart.h
- usr/include/X11/Xaw/Template.c
- usr/include/X11/Xaw/Template.h
- usr/include/X11/Xaw/TemplateP.h
- usr/include/X11/Xaw/Text.h
- usr/include/X11/Xaw/TextP.h
- usr/include/X11/Xaw/TextSink.h
- usr/include/X11/Xaw/TextSinkP.h
- usr/include/X11/Xaw/TextSrc.h
- usr/include/X11/Xaw/TextSrcP.h
- usr/include/X11/Xaw/Tip.h
- usr/include/X11/Xaw/TipP.h
- usr/include/X11/Xaw/Toggle.h
- usr/include/X11/Xaw/ToggleP.h
- usr/include/X11/Xaw/Tree.h
- usr/include/X11/Xaw/TreeP.h
- usr/include/X11/Xaw/VendorEP.h
- usr/include/X11/Xaw/Viewport.h
- usr/include/X11/Xaw/ViewportP.h
- usr/include/X11/Xaw/XawImP.h
- usr/include/X11/Xaw/XawInit.h
- usr/lib64/libXaw.so
- usr/lib64/libXaw.so.7
- usr/lib64/libXaw7.so
- usr/lib64/libXaw7.so.7
- usr/lib64/libXaw7.so.7.0.0
- usr/lib64/pkgconfig/xaw7.pc
- usr/share/doc/libXaw-1.0.13-r1/ChangeLog.bz2
- usr/share/doc/libXaw-1.0.13-r1/README.bz2
- usr/share/man/man3/Xaw.3.bz2
- var/db/pkg/x11-libs/libXaw-1.0.13-r1/BUILD_TIME
- var/db/pkg/x11-libs/libXaw-1.0.13-r1/CATEGORY
- var/db/pkg/x11-libs/libXaw-1.0.13-r1/CBUILD
- var/db/pkg/x11-libs/libXaw-1.0.13-r1/CFLAGS
- var/db/pkg/x11-libs/libXaw-1.0.13-r1/CHOST
- var/db/pkg/x11-libs/libXaw-1.0.13-r1/CONTENTS
- var/db/pkg/x11-libs/libXaw-1.0.13-r1/COUNTER
- var/db/pkg/x11-libs/libXaw-1.0.13-r1/CXXFLAGS
- var/db/pkg/x11-libs/libXaw-1.0.13-r1/DEFINED_PHASES
- var/db/pkg/x11-libs/libXaw-1.0.13-r1/DEPEND
- var/db/pkg/x11-libs/libXaw-1.0.13-r1/DESCRIPTION
- var/db/pkg/x11-libs/libXaw-1.0.13-r1/EAPI
- var/db/pkg/x11-libs/libXaw-1.0.13-r1/FEATURES
- var/db/pkg/x11-libs/libXaw-1.0.13-r1/HOMEPAGE
- var/db/pkg/x11-libs/libXaw-1.0.13-r1/INHERITED
- var/db/pkg/x11-libs/libXaw-1.0.13-r1/IUSE
- var/db/pkg/x11-libs/libXaw-1.0.13-r1/IUSE_EFFECTIVE
- var/db/pkg/x11-libs/libXaw-1.0.13-r1/KEYWORDS
- var/db/pkg/x11-libs/libXaw-1.0.13-r1/LDFLAGS
- var/db/pkg/x11-libs/libXaw-1.0.13-r1/LICENSE
- var/db/pkg/x11-libs/libXaw-1.0.13-r1/NEEDED
- var/db/pkg/x11-libs/libXaw-1.0.13-r1/PF
- var/db/pkg/x11-libs/libXaw-1.0.13-r1/PROVIDES
- var/db/pkg/x11-libs/libXaw-1.0.13-r1/RDEPEND
- var/db/pkg/x11-libs/libXaw-1.0.13-r1/REQUIRES
- var/db/pkg/x11-libs/libXaw-1.0.13-r1/SIZE
- var/db/pkg/x11-libs/libXaw-1.0.13-r1/SLOT
- var/db/pkg/x11-libs/libXaw-1.0.13-r1/USE
- var/db/pkg/x11-libs/libXaw-1.0.13-r1/environment.bz2
- var/db/pkg/x11-libs/libXaw-1.0.13-r1/libXaw-1.0.13-r1.ebuild
- var/db/pkg/x11-libs/libXaw-1.0.13-r1/repository
package_cacheimage: ""
runtime:
  name: libXaw
  version: 1.0.13
  category: x11-libs
  use_flags:
  - -doc
  - -ppc-aix
  - -x86-winnt
  requires:
  - name: xorg-proto
    version: '>=0'
    category: x11-base
  - name: libXmu
    version: '>=0'
    category: x11-libs
  - name: libXpm
    version: '>=0'
    category: x11-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: X.Org Xaw library
  uri:
  - https://www.x.org/wiki/ https://gitlab.freedesktop.org/xorg/lib/libXaw
  license: MIT
  labels:
    DEPEND: x11-base/xorg-proto >=x11-libs/libX11-1.6.2[-mgorny(-)] >=x11-libs/libXext-1.3.2[-mgorny(-)]
      >=x11-libs/libXmu-1.1.1-r1[-mgorny(-)] >=x11-libs/libXpm-3.5.10-r1[-mgorny(-)]
      >=x11-libs/libXt-1.1.4[-mgorny(-)] >=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3
      || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
      >=sys-devel/libtool-2.4 ppc-aix? ( >=sys-devel/libtool-2.2.6a sys-devel/m4 >=x11-misc/util-macros-1.18
      >=media-fonts/font-util-1.2.0 ) x86-winnt? ( >=sys-devel/libtool-2.2.6a sys-devel/m4
      >=x11-misc/util-macros-1.18 >=media-fonts/font-util-1.2.0 ) virtual/pkgconfig[-mgorny(-)]
      doc? ( doc? ( || ( app-text/asciidoc dev-ruby/asciidoctor ) app-text/xmlto app-doc/doxygen
      app-text/docbook-xml-dtd:4.1.2 app-text/docbook-xml-dtd:4.2 app-text/docbook-xml-dtd:4.3
      ) )
    IUSE: deprecated abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32
      abi_s390_32 abi_s390_64 static-libs doc
    RDEPEND: x11-base/xorg-proto >=x11-libs/libX11-1.6.2[-mgorny(-)] >=x11-libs/libXext-1.3.2[-mgorny(-)]
      >=x11-libs/libXmu-1.1.1-r1[-mgorny(-)] >=x11-libs/libXpm-3.5.10-r1[-mgorny(-)]
      >=x11-libs/libXt-1.1.4[-mgorny(-)]
    emerge.packages: x11-libs/libXaw
    kit: core-gl-kit
    original.package.name: x11-libs/libXaw
    original.package.slot: "0"
    original.package.version: 1.0.13-r1
